# Account order updates

Refer to [Websocket](/docs/api-documentation/api/websocket.md) for establishing the websocket connection.

### Params

```json
{
    "method": "subscribe",
    "params": {
        "source": "account_order_updates",
        "account": "42trU9A5..."
    }
}
```

### Stream

```json
{
  "channel": "account_order_updates",
  "data": [
    {
      "i": 1559665358,
      "I": null,
      "u": "BrZp5bidJ3WUvceSq7X78bhjTfZXeezzGvGEV4hAYKTa",
      "s": "BTC",
      "d": "bid",
      "p": "89501",
      "ip": "89501",
      "lp": "89501",
      "a": "0.00012",
      "f": "0.00012",
      "oe": "fulfill_limit",
      "os": "filled",
      "ot": "limit",
      "sp": null,
      "si": null,
      "tp": null,
      "r": false,
      "ct": 1765017049008,
      "ut": 1765017219639,
      "li": 1559696133
    }
  ]
}
```

<table><thead><tr><th width="193">Field</th><th width="225">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>'i'</code></td><td>integer</td><td>Order ID</td></tr><tr><td><code>'I'</code></td><td>Full UUID string</td><td>Client order ID</td></tr><tr><td><code>'u'</code></td><td>base58 encoded address</td><td>Account</td></tr><tr><td><code>'s'</code></td><td>string</td><td>Symbol</td></tr><tr><td><code>'d'</code></td><td>string</td><td>Side: [<code>bid</code>, <code>ask</code>]</td></tr><tr><td><code>'p'</code></td><td>decimal string</td><td>Average filled price</td></tr><tr><td><code>'ip'</code></td><td>decimal string</td><td>Initial price</td></tr><tr><td><code>'lp'</code></td><td>decimal string</td><td>Last filled price</td></tr><tr><td><code>'a'</code></td><td>decimal string</td><td>Original amount</td></tr><tr><td><code>'f'</code></td><td>decimal string</td><td>Filled amount</td></tr><tr><td><code>'oe'</code></td><td>string</td><td>Order event (see below)</td></tr><tr><td><code>'os'</code></td><td>string</td><td>Order status (see below)</td></tr><tr><td><code>'ot'</code></td><td>string</td><td>Order type (see below)</td></tr><tr><td><code>'sp'</code></td><td>string</td><td>Stop price</td></tr><tr><td><code>'si'</code></td><td>string</td><td>Stop parent order ID</td></tr><tr><td><code>'tp'</code></td><td>string</td><td>Stop trigger price type: <code>last_trade_price</code>, <code>mark_price</code>, or <code>mid_price</code></td></tr><tr><td><code>'r'</code></td><td>bool</td><td>Reduce only</td></tr><tr><td><code>'ct'</code></td><td>integer</td><td>Created at time (milliseconds)</td></tr><tr><td><code>'ut'</code></td><td>integer</td><td>Updated at time (milliseconds)</td></tr><tr><td><code>'li'</code></td><td>integer</td><td>Exchange-wide nonce. Used to reliably determine exchange event ordering. Sequential and not subject to clock drift.</td></tr></tbody></table>

| Field  | Value                      | Description                    |
| ------ | -------------------------- | ------------------------------ |
| `'oe'` | `make`                     | Order placed on book           |
|        | `stop_created`             | Stop order created             |
|        | `fulfill_market`           | User filled by market order    |
|        | `fulfill_limit`            | User filled others limit order |
|        | `adjust`                   | Order modified                 |
|        | `stop_parent_order_filled` | Parent order filled            |
|        | `stop_triggered`           | Stop order activated           |
|        | `stop_upgrade`             | Stop order upgraded            |
|        | `cancel`                   | User cancelled                 |
|        | `force_cancel`             | Cancelled by system            |
|        | `expired`                  | Time expired                   |
|        | `post_only_rejected`       | Cannot execute ALO             |
|        | `self_trade_prevented`     | Cannot execute self-trade      |
| `'os'` | `open`                     | Active on orderbook            |
|        | `partially_filled`         | Partially filled               |
|        | `filled`                   | Completely filled              |
|        | `cancelled`                | Cancelled                      |
|        | `rejected`                 | Rejected                       |
| `'ot'` | `limit`                    | Limit                          |
|        | `market`                   | Market                         |
|        | `stop_limit`               | Stop limit                     |
|        | `stop_market`              | Stop market                    |
|        | `take_profit_limit`        | Take profit (limit)            |
|        | `stop_loss_limit`          | Stop loss (limit)              |
|        | `take_profit_market`       | Take profit (market)           |
|        | `stop_loss_market`         | Stop loss (market)             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/account-order-updates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
